
package de.ivu.elect.presentation.kandidatur.action;

import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.boundary.ListenkandidaturConversationSelect;
import de.ivu.elect.business.kandidatur.entity.Listenkandidatur;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.kandidatur.EinzelbewerberListenkandidaturEditView;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

// Cf. EinzelbewerberListeEditAction!!!
public class EinzelbewerberListenkandidaturEditAction extends AbstractEinzelbewerberListenkandidaturAction {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient ListenkandidaturConversationSelect listenkandidaturConversationSelect;

  public EinzelbewerberListenkandidaturEditAction() {
    super();
  }

  @Override
  public UseCasePermission getRequiredPermission() {
    return UseCasePermission.LISTENKANDIDATUR_EDIT;
  }

  @Override
  public AbstractGebietSecurity getGebietSecurity() {
    return getKandidaturEditGebietSecurity();
  }

  @Override
  protected String doIt(Listenkandidatur listenkandidatur) {
    listenkandidaturConversationSelect.setEntity(listenkandidatur);

    return EinzelbewerberListenkandidaturEditView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }
}
